Bearer Bearer Token (JWT) | Resource | Description |
|---|---|
| dealer | Contain all the operations related to dealers. |
| fiscal data | Contain all the operations related to fiscal data. |
| custom information | Contain all the operations related to custom information. |
| campaign | Contain all the operations related to campaigns. |
| subchannel | Contain all the operations related to subchannel. |
| store | Contain all the operations related to stores. |
| Other | |
| iam | |
| brand | |
| Request |
Bearer Bearer Token (JWT) | Resource | Description |
|---|---|
| dealer | Contain all the operations related to dealers. |
| fiscal data | Contain all the operations related to fiscal data. |
| custom information | Contain all the operations related to custom information. |
| campaign | Contain all the operations related to campaigns. |
| subchannel | Contain all the operations related to subchannel. |
| store | Contain all the operations related to stores. |
| Other | |
| iam | |
| brand | |
| Request |
This service receives external system code and dealer code in that system and returns dealerId asociated to mas-dealers.
QUERY PARAMETERS
OK Successful response. Dealer has been found.
[
{
"dealerId": 0,
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
dealerId | integer | |||
startDate | string | |||
endDate | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/id?system=string&code=string' \
-H 'Accept: application/json' This service receives dealerId and returns dealer detail and the hierarchy up.
PATH PARAMETERS
OK Successful response. Dealer has been found and the hierarchy up is returned.
[
{
"dealerCode": "string",
"dealerId": 0,
"commercialName": "string",
"mainChannelCode": "string",
"subchannelCode": "string",
"level": 0,
"parentCode": "string",
"internalManager": "string",
"externalManager": "string",
"storeType": "string",
"commissioningSection": "string",
"companyType": "string",
"documentType": "string",
"documentNumber": "string",
"companyName": "string",
"status": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"contactInformation": [
{
"contactName": "string",
"contactEmail": "string",
"contactPhone": "string",
"contactPurposes": [
"PUBLIC"
]
}
],
"segment": "string",
"ine": "string",
"storeDelivery": false,
"deviceReturn": false
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
dealerCode | string | ||||||||||||||||||||||||||||
dealerId | integer | ||||||||||||||||||||||||||||
commercialName | string | ||||||||||||||||||||||||||||
mainChannelCode | string | ||||||||||||||||||||||||||||
subchannelCode | string | ||||||||||||||||||||||||||||
level | integer | ||||||||||||||||||||||||||||
parentCode | string | ||||||||||||||||||||||||||||
internalManager | string | ||||||||||||||||||||||||||||
externalManager | string | ||||||||||||||||||||||||||||
storeType | string | ||||||||||||||||||||||||||||
commissioningSection | string | ||||||||||||||||||||||||||||
companyType | string | ||||||||||||||||||||||||||||
documentType | string | ||||||||||||||||||||||||||||
documentNumber | string | ||||||||||||||||||||||||||||
companyName | string | ||||||||||||||||||||||||||||
status | string | ||||||||||||||||||||||||||||
address | string | ||||||||||||||||||||||||||||
city | string | ||||||||||||||||||||||||||||
province | string | ||||||||||||||||||||||||||||
country | string | ||||||||||||||||||||||||||||
postalCode | string | ||||||||||||||||||||||||||||
contactInformation | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
segment | string | ||||||||||||||||||||||||||||
ine | string | ||||||||||||||||||||||||||||
storeDelivery | boolean | false | |||||||||||||||||||||||||||
deviceReturn | boolean | false | |||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id' \
-H 'Accept: application/json' This service receives dealerId and body with fields to update.
PATH PARAMETERS
{
"code": "string",
"commercialName": "string",
"level": 0,
"status": "string",
"parentCode": "string",
"subchannel": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"postalCode": "string",
"country": "string",
"startDate": "2025-01-15T10:30:00Z",
"endDate": "2025-01-15T10:30:00Z",
"internalManagerId": 0,
"externalManagerId": 0,
"fiscalDataId": 0,
"storeDelivery": false,
"deviceReturn": false
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code | string | |||
commercialName | string | |||
level | integer | |||
status | string | |||
parentCode | string | |||
subchannel | string | |||
commissioningSection | string | |||
storeType | string | |||
address | string | |||
city | string | |||
province | string | |||
postalCode | string | |||
country | string | |||
startDate | string (date-time) | |||
endDate | string (date-time) | |||
internalManagerId | integer | |||
externalManagerId | integer | |||
fiscalDataId | integer | |||
storeDelivery | boolean | false | ||
deviceReturn | boolean | false |
OK Successful response. Dealer has been updated.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://dealers.masstack.com/v1/dealers/:dealer_id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"code": "string",
"commercialName": "string",
"level": 0,
"status": "string",
"parentCode": "string",
"subchannel": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"postalCode": "string",
"country": "string",
"startDate": "2025-01-15T10:30:00Z",
"endDate": "2025-01-15T10:30:00Z",
"internalManagerId": 0,
"externalManagerId": 0,
"fiscalDataId": 0,
"storeDelivery": false,
"deviceReturn": false
}' This service receives the id of a dealer and a cancellation status (cancelled or inactive), and sets it as the dealer's status, setting as well the end date for itself and all his brands. This operation is also performed for all the hierarchy under the dealer.
PATH PARAMETERS
QUERY PARAMETERS
Created Successful response. Everything has been removed.
"string" Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v1/dealers/:dealer_id?cancellationStatus=CANC' \
-H 'Accept: application/json' This service receives multiple dealerId (ids) and returns dealer details and the hierarchy up.
QUERY PARAMETERS
OK Successful response.
[
{
"id": 0,
"hierarchy": [
{
"dealerCode": "string",
"dealerId": 0,
"commercialName": "string",
"mainChannelCode": "string",
"subchannelCode": "string",
"level": 0,
"parentCode": "string",
"internalManager": "string",
"externalManager": "string",
"storeType": "string",
"commissioningSection": "string",
"companyType": "string",
"documentType": "string",
"documentNumber": "string",
"companyName": "string",
"status": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"contactInformation": [
{
"contactName": null,
"contactEmail": null,
"contactPhone": null,
"contactPurposes": null
}
],
"segment": "string",
"ine": "string",
"storeDelivery": false,
"deviceReturn": false
}
]
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
hierarchy | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X GET 'https://dealers.masstack.com/v1/dealers?ids=string' \
-H 'Accept: application/json' .
{
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"code": "string",
"commercialName": "string",
"level": 0,
"statusCode": "string",
"parentCode": "string",
"subchannel": "string",
"internalManager": 0,
"externalManager": 0,
"commissioningSection": "string",
"storeType": "string",
"fiscalDataId": 0,
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z",
"segment": "string",
"ine": "string",
"storeDelivery": false,
"deviceReturn": false
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
address | string | maxLength: 60 | ||
city | string | maxLength: 40 | ||
province | string | |||
postalCode | string | maxLength: 8 | ||
country | string
()
ESPTADPECOMA | |||
code* | string | |||
commercialName* | string | |||
level* | integer | |||
statusCode* | string | |||
parentCode | string | |||
subchannel* | string | |||
internalManager | integer | |||
externalManager | integer | |||
commissioningSection | string | |||
storeType | string | |||
fiscalDataId | integer | |||
startDate | string | |||
endDate | string | |||
segment | string | |||
ine | string | |||
storeDelivery | boolean | false | ||
deviceReturn | boolean | false |
Created Successful response.
{
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"code": "string",
"commercialName": "string",
"level": 0,
"statusCode": "string",
"parentCode": "string",
"subchannel": "string",
"internalManager": 0,
"externalManager": 0,
"commissioningSection": "string",
"storeType": "string",
"fiscalDataId": 0,
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z",
"segment": "string",
"ine": "string",
"storeDelivery": false,
"deviceReturn": false,
"dealerId": 0,
"migratedFromDealerId": 0,
"migratedToDealerId": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
address | string | maxLength: 60 | ||
city | string | maxLength: 40 | ||
province | string | |||
postalCode | string | maxLength: 8 | ||
country | string
()
ESPTADPECOMA | |||
code | string | |||
commercialName | string | |||
level | integer | |||
statusCode | string | |||
parentCode | string | |||
subchannel | string | |||
internalManager | integer | |||
externalManager | integer | |||
commissioningSection | string | |||
storeType | string | |||
fiscalDataId | integer | |||
startDate | string | |||
endDate | string | |||
segment | string | |||
ine | string | |||
storeDelivery | boolean | false | ||
deviceReturn | boolean | false | ||
dealerId | integer | |||
migratedFromDealerId | integer | |||
migratedToDealerId | integer |
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X POST 'https://dealers.masstack.com/v1/dealers' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"code": "string",
"commercialName": "string",
"level": 0,
"statusCode": "string",
"parentCode": "string",
"subchannel": "string",
"internalManager": 0,
"externalManager": 0,
"commissioningSection": "string",
"storeType": "string",
"fiscalDataId": 0,
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z",
"segment": "string",
"ine": "string",
"storeDelivery": false,
"deviceReturn": false
}' This operation creates a dealer's accounting-system with the information received.
{
"dealerId": 1234,
"systemId": 1,
"dealerCode": "string",
"example": null
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
dealerId | integer | |||
systemId | integer | |||
dealerCode | string | |||
example | any |
No Content Successful response.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/dealers/accounting-system' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"dealerId": 1234,
"systemId": 1,
"dealerCode": "string",
"example": null
}' This service receives a dealer accounting system id and deletes it.
PATH PARAMETERS
No Content Successful response.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v1/dealers/accounting-system/:dealer_accounting_system_id' \
-H 'Accept: application/json' This service receive a dealer Id and returns the accounting system information
PATH PARAMETERS
OK Successful response.
[
{
"id": 21234,
"dealerId": 1234,
"systemId": 1,
"systemCode": "IAM",
"systemDescription": "IAM System",
"dealerCode": "TEST_DEALER"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | integer | |||
dealerId | integer | |||
systemId | integer | |||
systemCode | string | |||
systemDescription | string | |||
dealerCode | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id/accounting-system' \
-H 'Accept: application/json' This operation updates the dealer's accounting-system with the information received.
PATH PARAMETERS
{
"systemId": 1,
"dealerCode": "it's called dealerCode but it's the system's username"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
systemId | integer | |||
dealerCode | string |
No Content Successful response.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://dealers.masstack.com/v1/dealers/:dealer_id/accounting-system' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"systemId": 1,
"dealerCode": "it's called dealerCode but it's the system's username"
}' This service receives a dealer Id and returns its generic info.
PATH PARAMETERS
OK Successful response.
{
"genericInfo": {
"id": 0,
"code": "string",
"commercialName": "string",
"level": 0,
"levelDescription": "string",
"status": "string",
"parentId": 0,
"parentCode": "string",
"subchannelCode": "string",
"internalManagerFullName": "string",
"externalManagerFullName": "string",
"internalManagerCode": "string",
"externalManagerCode": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "2020-05-21T12:00:00Z",
"updateDate": "2020-05-21T12:00:00Z",
"channelType": "string",
"sellType": "string",
"subchannelGroup": "string",
"segment": "string",
"ine": "string",
"migratedFromDealerId": 0,
"migratedToDealerId": 0,
"migratedFromDealerCode": "string",
"migratedToDealerCode": "string",
"storeDelivery": false,
"deviceReturn": false,
"documentType": "string",
"documentNumber": "string"
},
"fiscalDataInfo": {
"companyType": "AUTÓNOMO",
"companyName": "FOO S.L.",
"documentType": "NIF",
"documentNumber": "1234567X",
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"id": 0
},
"billingInfo": {
"dealerId": 0,
"code": "string",
"commercialName": "string",
"documentType": "string",
"documentNumber": "string"
}
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
genericInfo | object | Dealer generic info simplified object. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
fiscalDataInfo | object | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
billingInfo | object | Billing info object. | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/full-info/:dealer_id' \
-H 'Accept: application/json' This operation only returns the information necessary to identify each dealer in the list, to know who his parent is and to which sub-channel he belongs. This operation does not provide the detail of a dealer. A search filter can be defined in this operation. If the filter is not defined, it returns the last 100 updated or modified dealers sorted by date.
QUERY PARAMETERS
Filters code, commercialName, dealerCode(dealerAccountingSystem), postalCode, province, documentNumber or companyName.
Filters by valid at the specified date
OK Successful response.
[
{
"id": 0,
"code": "string",
"commercialName": "string",
"level": 0,
"status": "string",
"parentCode": "string",
"subchannelCode": "string",
"email": "string"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | integer | |||
code | string | |||
commercialName | string | |||
level | integer | |||
status | string | |||
parentCode | string | |||
subchannelCode | string | |||
email | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X GET 'https://dealers.masstack.com/v1/dealers/simple-list?validAt=2020-11-02T00%3A00%3A00%252B01%3A00' \
-H 'Accept: application/json' This service receives dealerId and returns a contact list of that dealer.
PATH PARAMETERS
OK Successful response.
[
{
"id": 0,
"name": "string",
"email": "test@test.es",
"phoneNumber": "987654321",
"purposes": [
{
"id": 0,
"name": "string"
}
],
"dealers": [
{
"id": 0,
"code": "string",
"commercialName": "string",
"level": 0,
"levelDescription": "string",
"status": "string",
"parentId": 0,
"parentCode": "string",
"subchannelCode": "string",
"internalManagerFullName": "string",
"externalManagerFullName": "string",
"internalManagerCode": "string",
"externalManagerCode": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "2020-05-21T12:00:00Z",
"updateDate": "2020-05-21T12:00:00Z",
"channelType": "string",
"sellType": "string",
"subchannelGroup": "string",
"segment": "string",
"ine": "string",
"migratedFromDealerId": 0,
"migratedToDealerId": 0,
"migratedFromDealerCode": "string",
"migratedToDealerCode": "string",
"storeDelivery": false,
"deviceReturn": false,
"documentType": "string",
"documentNumber": "string"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
email | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phoneNumber | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purposes | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id/contacts' \
-H 'Accept: application/json' This service receives dealerId and contactId and delete this relationship.
PATH PARAMETERS
No Content Successful response.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v1/dealers/:dealer_id/contacts/:contact_id' \
-H 'Accept: application/json' This service receives dealerId and contactId and create this relationship.
{
"contactId": 154,
"dealerId": 130
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
contactId | integer | |||
dealerId | integer |
Created Successful response.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/dealers/contacts' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"contactId": 154,
"dealerId": 130
}' Check whether a dealer is migratable
PATH PARAMETERS
OK The dealer is valid for migration.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id/migration' \
-H 'Accept: application/json' Migrate a dealer
PATH PARAMETERS
{
"code": "string",
"commercialName": "string",
"level": 0,
"subchannel": "string",
"parentCode": "string",
"migrationDate": "2020-05-21T12:00:00Z",
"copyGenericInfo": true,
"copyContactInfo": true,
"copyFiscalData": true,
"copyAccountingSystems": true,
"copyCustomInfo": true,
"migratedSalesBase": true
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
code* | string | |||
commercialName | string | |||
level | integer | |||
subchannel* | string | |||
parentCode | string | |||
migrationDate | string | |||
copyGenericInfo | boolean | |||
copyContactInfo | boolean | |||
copyFiscalData | boolean | |||
copyAccountingSystems | boolean | |||
copyCustomInfo | boolean | |||
migratedSalesBase | boolean |
Created Successful migration.
{
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"code": "string",
"commercialName": "string",
"level": 0,
"statusCode": "string",
"parentCode": "string",
"subchannel": "string",
"internalManager": 0,
"externalManager": 0,
"commissioningSection": "string",
"storeType": "string",
"fiscalDataId": 0,
"startDate": "2020-05-21T12:00:00Z",
"endDate": "2020-05-21T12:00:00Z",
"segment": "string",
"ine": "string",
"storeDelivery": false,
"deviceReturn": false,
"dealerId": 0,
"migratedFromDealerId": 0,
"migratedToDealerId": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
address | string | maxLength: 60 | ||
city | string | maxLength: 40 | ||
province | string | |||
postalCode | string | maxLength: 8 | ||
country | string
()
ESPTADPECOMA | |||
code | string | |||
commercialName | string | |||
level | integer | |||
statusCode | string | |||
parentCode | string | |||
subchannel | string | |||
internalManager | integer | |||
externalManager | integer | |||
commissioningSection | string | |||
storeType | string | |||
fiscalDataId | integer | |||
startDate | string | |||
endDate | string | |||
segment | string | |||
ine | string | |||
storeDelivery | boolean | false | ||
deviceReturn | boolean | false | ||
dealerId | integer | |||
migratedFromDealerId | integer | |||
migratedToDealerId | integer |
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/dealers/:dealer_id/migration' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"code": "string",
"commercialName": "string",
"level": 0,
"subchannel": "string",
"parentCode": "string",
"migrationDate": "2020-05-21T12:00:00Z",
"copyGenericInfo": true,
"copyContactInfo": true,
"copyFiscalData": true,
"copyAccountingSystems": true,
"copyCustomInfo": true,
"migratedSalesBase": true
}' This service receives dealerId and returns dealer custom information.
PATH PARAMETERS
OK Successful response. Dealer has been found and the hierarchy up is returned.
[
{
"fieldId": 0,
"dealerId": 0,
"fieldValue": "string",
"id": 0,
"fieldName": "string",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "2020-05-21T12:00:00Z",
"updateDate": "2020-05-21T12:00:00Z"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fieldId | integer | |||
dealerId | integer | |||
fieldValue | string | |||
id | integer | |||
fieldName | string | |||
userCreated | string | |||
userUpdated | string | |||
creationDate | string | |||
updateDate | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id/custom-information' \
-H 'Accept: application/json' .
{
"fieldId": 0,
"dealerId": 0,
"fieldValue": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fieldId | integer | |||
dealerId | integer | |||
fieldValue | string |
Created Successful response.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X POST 'https://dealers.masstack.com/v1/dealers/custom-information' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"fieldId": 0,
"dealerId": 0,
"fieldValue": "string"
}' This service receives dealerId and body with fields to update.
PATH PARAMETERS
{
"fieldValue": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fieldValue | string |
OK Successful response. Dealer has been updated.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://dealers.masstack.com/v1/dealers/:dealer_id/custom-information/:custom_info_id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"fieldValue": "string"
}' .
PATH PARAMETERS
No Content Successful response. Everything has been removed.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v1/dealers/:dealer_id/custom-information/:custom_info_id' \
-H 'Accept: application/json' Obtain all children of a dealer.
PATH PARAMETERS
OK Successful response.
[
{
"id": "string",
"code": "string",
"commercialName": "string",
"level": 0,
"subChannelCode": "string"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | string | |||
code | string | |||
commercialName | string | |||
level | integer | |||
subChannelCode | string |
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id/children' \
-H 'Accept: application/json' Block dealer and offspring
PATH PARAMETERS
OK No content.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/dealers/:dealer_id/block' \
-H 'Accept: application/json' This endpoint currently only makes status changes to 'Active'. That is, it is used to activate or reactivate a dealer.
PATH PARAMETERS
{
"status": "Activo"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
status | string
()
ActivoBloqueadoBajaInactivoPendiente |
OK No content.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/dealers/:dealer_id/change-status' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"status": "Activo"
}' This service returns a list of all the brands of a dealer
PATH PARAMETERS
OK Successful response.
[
{
"id": 12,
"dealerId": 13,
"brandId": 123,
"brandCode": "MM",
"brandDescription": "MasMovil"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | integer | |||
dealerId | integer | |||
brandId | integer | |||
brandCode | string | |||
brandDescription | string |
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/dealers/:dealer_id/brands' \
-H 'Accept: application/json' This service update a list of brands of a dealer
PATH PARAMETERS
{
"id": 12,
"startDate": "2025-01-15T10:30:00Z",
"endDate": "2025-01-15T10:30:00Z"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
id | integer | |||
startDate | string (date-time) | |||
endDate | string (date-time) |
OK Successful response. Brand has been updated.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://dealers.masstack.com/v1/dealers/:dealer_id/brands' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"id": 12,
"startDate": "2025-01-15T10:30:00Z",
"endDate": "2025-01-15T10:30:00Z"
}' This operation returns a list with all the fiscall data in the system.
OK Successful response.
[
{
"companyType": "AUTÓNOMO",
"companyName": "FOO S.L.",
"documentType": "NIF",
"documentNumber": "1234567X",
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"id": 0
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
companyType | string
()
AUTÓNOMOEMPRESA | |||
companyName | string | maxLength: 60 | ||
documentType | string
()
NIFCIFNIE | |||
documentNumber | string | |||
address | string | maxLength: 60 | ||
city | string | maxLength: 40 | ||
province | string | |||
postalCode | string | maxLength: 8 | ||
country | string
()
ESPTADPECOMA | |||
id | integer |
No Content No content.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X GET 'https://dealers.masstack.com/v1/fiscal-data' \
-H 'Accept: application/json' This operation create a new fiscal data from the input data.
{
"companyType": "AUTÓNOMO",
"companyName": "FOO S.L.",
"documentType": "NIF",
"documentNumber": "1234567X",
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"id": 0
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
companyType* | string
()
AUTÓNOMOEMPRESA | |||
companyName* | string | maxLength: 60 | ||
documentType* | string
()
NIFCIFNIE | |||
documentNumber* | string | |||
address* | string | maxLength: 60 | ||
city* | string | maxLength: 40 | ||
province* | string | |||
postalCode* | string | maxLength: 8 | ||
country* | string
()
ESPTADPECOMA | |||
id | integer |
Created Successful creation.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X POST 'https://dealers.masstack.com/v1/fiscal-data' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"companyType": "AUTÓNOMO",
"companyName": "FOO S.L.",
"documentType": "NIF",
"documentNumber": "1234567X",
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"id": 0
}' Retrieves the detail of a fiscal data for a given id.
PATH PARAMETERS
OK Successful response.
{
"dealers": [
{
"id": "string",
"code": "string",
"commercialName": "string",
"level": 0,
"subChannelCode": "string"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
dealers | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/fiscal-data/:fiscal_data_id' \
-H 'Accept: application/json' This operation updates the fiscal data with the information received.
PATH PARAMETERS
{
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"companyName": "FOO S.L."
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
address | string | maxLength: 60 | ||
city | string | maxLength: 40 | ||
province | string | |||
postalCode | string | maxLength: 8 | ||
country | string
()
ESPTADPECOMA | |||
companyName | string | maxLength: 60 |
No Content Successful response.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://dealers.masstack.com/v1/fiscal-data/:fiscal_data_id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES",
"companyName": "FOO S.L."
}' This operation deletes a fiscal data for a given id and also delete the relationship with its associated dealers.
PATH PARAMETERS
No Content Successful delete. Not content.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v1/fiscal-data/:fiscal_data_id' \
-H 'Accept: application/json' This service returns custom information.
OK Successful response. Custom information has been found.
[
{
"fieldName": "string",
"fieldDescription": "string",
"fieldType": "string",
"id": 0,
"values": "string",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "2020-05-21T12:00:00Z",
"updateDate": "2020-05-21T12:00:00Z"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fieldName | string | |||
fieldDescription | string | |||
fieldType | string | |||
id | integer | |||
values | string | |||
userCreated | string | |||
userUpdated | string | |||
creationDate | string | |||
updateDate | string |
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/custom-information' \
-H 'Accept: application/json' .
{
"fieldName": "string",
"fieldDescription": "string",
"fieldType": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fieldName | string | |||
fieldDescription | string | |||
fieldType | string |
Created Successful response. Custom information has been created.
Example not available for this response.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X POST 'https://dealers.masstack.com/v1/custom-information' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"fieldName": "string",
"fieldDescription": "string",
"fieldType": "string"
}' This service receives customInfoId and body with fields to update.
PATH PARAMETERS
{
"fieldName": "string",
"fieldDescription": "string",
"fieldType": "string"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
fieldName | string | |||
fieldDescription | string | |||
fieldType | string |
OK Successful response. Custom information has been updated.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PATCH 'https://dealers.masstack.com/v1/custom-information/:custom_info_id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"fieldName": "string",
"fieldDescription": "string",
"fieldType": "string"
}' .
PATH PARAMETERS
No Content Successful response. Everything has been removed.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Dealer not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X DELETE 'https://dealers.masstack.com/v1/custom-information/:custom_info_id' \
-H 'Accept: application/json' This service receives customInfoId and returns a list of dealers that use this custom information.
PATH PARAMETERS
OK Successful response.
[
{
"dealerId": 123,
"dealerCode": "testCode",
"dealerCommercialName": "testCommercialName",
"fieldValue": "testfieldValue"
}
] | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
dealerId | integer | |||
dealerCode | string | |||
dealerCommercialName | string | |||
fieldValue | string |
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/custom-information/:custom_info_id/dealers' \
-H 'Accept: application/json' Create a new active campaign. Returns the created campaign. It can be associated with one or more subchannels, using the subchannel code.
HEADER PARAMETERS
{
"name": "campaign",
"commercialProfile": "Commercial profile",
"subchannels": [
"MS"
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
name* | string | |||||||||||||||||||||||||||||||||
commercialProfile* | string | |||||||||||||||||||||||||||||||||
subchannels* | string[] | |||||||||||||||||||||||||||||||||
conditions | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Created Created
{
"id": 12345,
"name": "campaign",
"commercialProfile": "Commercial profile",
"active": true,
"subchannels": [
{
"id": 123,
"code": "MS",
"name": "MasSubchannel"
}
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||
commercialProfile | string | |||||||||||||||||||||||||||||||||
active | boolean | |||||||||||||||||||||||||||||||||
subchannels | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
conditions | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/campaigns' \
-H 'x-retool-groups: tester, campaignTester' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "campaign",
"commercialProfile": "Commercial profile",
"subchannels": [
"MS"
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
}' Obtains the indicated campaign, the associated subchannels and the list of conditions that said campaign has.
PATH PARAMETERS
OK OK
{
"id": 12345,
"name": "campaign",
"commercialProfile": "Commercial profile",
"active": true,
"subchannels": [
{
"id": 123,
"code": "MS",
"name": "MasSubchannel"
}
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||
commercialProfile | string | |||||||||||||||||||||||||||||||||
active | boolean | |||||||||||||||||||||||||||||||||
subchannels | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
conditions | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/campaigns/:campaign_id' \
-H 'Accept: application/json' Update campaign. It can be associated with one or more subchannels, using the subchannel code.
PATH PARAMETERS
HEADER PARAMETERS
{
"name": "campaign",
"commercialProfile": "Commercial profile",
"subchannels": [
"MS"
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
name* | string | |||||||||||||||||||||||||||||||||
commercialProfile* | string | |||||||||||||||||||||||||||||||||
subchannels* | string[] | |||||||||||||||||||||||||||||||||
conditions | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
No Content No Content
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Not Found Custom information not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X PUT 'https://dealers.masstack.com/v1/campaigns/:campaign_id' \
-H 'x-retool-groups: tester, campaignTester' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "campaign",
"commercialProfile": "Commercial profile",
"subchannels": [
"MS"
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
}' Change the status of a campaign. If the campaign goes from active to inactive: all dealers associated with the campaign (if any) will no longer be associated, that is, the dealers would not have any associated campaign. Additionally, the business profile in the IAM is deleted.
PATH PARAMETERS
HEADER PARAMETERS
{
"status": "ACTIVATED"
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
status | string
()
ACTIVATEDDEACTIVATED |
No Content No content.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/campaigns/:campaign_id/change-status' \
-H 'x-retool-groups: tester, campaignTester' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"status": "ACTIVATED"
}' Returns the list of campaigns that match with the filter provided.
HEADER PARAMETERS
{
"active": true,
"subchannels": [
"MS1"
],
"dealers": [
1
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
active | boolean | |||
subchannels | string[] | |||
dealers | integer[] |
OK Successful response.
[
{
"id": 12345,
"name": "campaign",
"commercialProfile": "Commercial profile",
"active": true,
"subchannels": [
{
"id": 123,
"code": "MS",
"name": "MasSubchannel"
}
],
"conditions": [
{
"id": 123,
"concept": "SEGMENT",
"operator": "EQ",
"values": "RESIDENCIAL",
"type": "String"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||
commercialProfile | string | |||||||||||||||||||||||||||||||||
active | boolean | |||||||||||||||||||||||||||||||||
subchannels | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
conditions | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
No Content No content.
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X POST 'https://dealers.masstack.com/v1/campaigns/search' \
-H 'x-retool-groups: tester, campaignTester' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"active": true,
"subchannels": [
"MS1"
],
"dealers": [
1
]
}' Returns the list of users (dealers with Agents account) matching the specified filter. If the campaignManager role is specified in the 'x-retool-groups' header, the users assigned to the manager itself or one of its descendants in the hierarchy will be returned.
QUERY PARAMETERS
HEADER PARAMETERS
OK Successful response.
[
{
"id": 12345,
"code": "CDRDealer",
"commercialName": "Agent",
"subchannel": "ATC",
"systemAccounts": [
{
"id": 12345,
"account": "CDRDealer",
"accountingSystem": {
"id": 12345,
"code": "IAM",
"description": "System of MM"
}
}
],
"campaign": {
"id": 12345,
"name": "campaign",
"commercialProfile": "Commercial profile",
"active": true,
"subchannels": [
{
"id": 123,
"code": "MS",
"name": "MasSubchannel",
"mainChannel": {
"id": null,
"code": null,
"name": null,
"channelType": null
},
"sellType": "mySellType",
"subchannelGroup": "mySubchannelGroup"
}
],
"conditions": null
}
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id* | integer | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
code* | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
commercialName | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
subchannel | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
systemAccounts | object[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
campaign | object | A commercial campaign | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
No Content No content.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} curl -X GET 'https://dealers.masstack.com/v1/campaigns/users?users=agent1%40asesormasmovil.es%2Cagent2%40asesormasmovil.es%2Cagent3%40asesormasmovil.es' \
-H 'x-retool-groups: tester, campaignTester' \
-H 'Accept: application/json' modifies a dealer's campaign
{
"campaignId": 123,
"requestId": 123,
"dealerId": [
154
]
} | Property | Type | Description | Constraints | Default |
|---|---|---|---|---|
campaignId | integer | |||
requestId | integer | |||
dealerId | integer[] |
OK No content.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/users/change-campaign' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"campaignId": 123,
"requestId": 123,
"dealerId": [
154
]
}' Return the list of subchannel. If the 'x-retool-groups' header is received with the value campaignManager, the result is filtered. Only the subchannels of the dealers of said manager or his hierarchy are returned.
HEADER PARAMETERS
OK List of subchannel
[
{
"id": 123,
"code": "MS",
"name": "MasSubchannel",
"mainChannel": {
"id": 12345,
"code": "M",
"name": "Mas",
"channelType": "myChannelType"
},
"sellType": "mySellType",
"subchannelGroup": "mySubchannelGroup"
}
] | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | ||||||||||||||||||||||||||||
code | string | ||||||||||||||||||||||||||||
name | string | ||||||||||||||||||||||||||||
mainChannel | object | A subchannel | |||||||||||||||||||||||||||
| |||||||||||||||||||||||||||||
sellType | string | ||||||||||||||||||||||||||||
subchannelGroup | string | ||||||||||||||||||||||||||||
No Content No content.
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/subchannels' \
-H 'x-retool-groups: tester, campaignTester' \
-H 'Accept: application/json' This service returns the N nearest stores to the postal code given as a parameter. The list can be filtered by the rest of the parameters.
QUERY PARAMETERS
Maximum number of stores to be returned.
Postal code to obtain the N nearest stores.
Indicates that the shop must have a store delivery service.
Indicates that the shop must have a device return service.
List of subchannels to which the shops to be consulted should belong.
List of brands sold by the shops to be returned.
OK Successful response. Stores has been found.
[
{
"dealerCode": "string",
"commercialName": "string",
"addressInfo": {
"address": "C/Ocaña 9",
"city": "Madrid",
"province": "Madrid",
"postalCode": 28011,
"country": "ES"
},
"phoneNumber": "string",
"email": "string",
"location": {
"latitude": 40.4124967,
"longitude": -3.8706208
},
"distance": 330.15,
"storeDelivery": false,
"deviceReturn": false,
"brands": [
{
"code": "MM",
"description": "masmovil"
}
],
"customInformation": [
{
"fieldId": 0,
"dealerId": 0,
"fieldValue": "string"
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
dealerCode | string | |||||||||||||||||||||||||||||||||
commercialName | string | |||||||||||||||||||||||||||||||||
addressInfo | object | |||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
phoneNumber | string | |||||||||||||||||||||||||||||||||
email | string | |||||||||||||||||||||||||||||||||
location | object | |||||||||||||||||||||||||||||||||
| ||||||||||||||||||||||||||||||||||
distance | number (double) | |||||||||||||||||||||||||||||||||
storeDelivery | boolean | false | ||||||||||||||||||||||||||||||||
deviceReturn | boolean | false | ||||||||||||||||||||||||||||||||
brands | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
customInformation | object[] | |||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||
Bad Request Bad request
{
"errors": [
{
"code": "BAD_REQUEST",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
Unauthorized Unauthorized
{
"code": "0003",
"status": "UNAUTHORIZED",
"message": "Unauthorized",
"detailMsg": "Audience not found to access URI /example-uri"
} Internal Server Error Internal Server Error
{
"errors": [
{
"code": "INTERNAL_SERVER_ERROR",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/stores?limit=10&postalCode=string&storeDelivery=false&deviceReturn=false&subchannels=MI%2COU&brands=yoigo%2Cmasmovil' \
-H 'Accept: application/json' This service returns all contacts. Always return empty dealers.
OK Successful response. Contacts have been found.
[
{
"id": 0,
"name": "string",
"email": "test@test.es",
"phoneNumber": "987654321",
"purposes": [
{
"id": 0,
"name": "string"
}
],
"dealers": [
{
"id": 0,
"code": "string",
"commercialName": "string",
"level": 0,
"levelDescription": "string",
"status": "string",
"parentId": 0,
"parentCode": "string",
"subchannelCode": "string",
"internalManagerFullName": "string",
"externalManagerFullName": "string",
"internalManagerCode": "string",
"externalManagerCode": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"startDate": "string",
"endDate": "string",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "string",
"updateDate": "string",
"channelType": "string",
"channelCode": "string",
"channelName": "string",
"sellType": "string",
"subchannelGroup": "string",
"segment": "string",
"ine": "string",
"migratedFromDealerId": 0,
"migratedFromDealerCode": "string",
"migratedToDealerId": 0,
"migratedToDealerCode": "string",
"storeDelivery": true,
"deviceReturn": true
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
email | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phoneNumber | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purposes | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Unauthorized Unauthorized
"Origin authentication failed." Not Found Dealer not found
{
"errors": [
{
"code": "NOT_FOUND",
"title": "Error message",
"ref": "some_ref",
"details": "Detailed error message"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X GET 'https://dealers.masstack.com/v1/contacts' \
-H 'Accept: application/json' This service returns all contacts.
{
"name": "string",
"email": "test@test.es",
"phoneNumber": "987654321",
"purposes": [
{
"id": 0
}
],
"dealers": [
{
"id": 0
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
name | string | |||||||||||||
email | string | |||||||||||||
phoneNumber | string | |||||||||||||
purposes | object[] | |||||||||||||
Array items:
| ||||||||||||||
dealers | object[] | |||||||||||||
Array items:
| ||||||||||||||
OK Successful response. Contact has been created.
{
"id": 0,
"name": "string",
"email": "test@test.es",
"phoneNumber": "987654321",
"purposes": [
{
"id": 0,
"name": "string"
}
],
"dealers": [
{
"id": 0,
"code": "string",
"commercialName": "string",
"level": 0,
"levelDescription": "string",
"status": "string",
"parentId": 0,
"parentCode": "string",
"subchannelCode": "string",
"internalManagerFullName": "string",
"externalManagerFullName": "string",
"internalManagerCode": "string",
"externalManagerCode": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"startDate": "string",
"endDate": "string",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "string",
"updateDate": "string",
"channelType": "string",
"channelCode": "string",
"channelName": "string",
"sellType": "string",
"subchannelGroup": "string",
"segment": "string",
"ine": "string",
"migratedFromDealerId": 0,
"migratedFromDealerCode": "string",
"migratedToDealerId": 0,
"migratedToDealerCode": "string",
"storeDelivery": true,
"deviceReturn": true
}
]
} | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
email | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
phoneNumber | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
purposes | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
dealers | object[] | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Array items:
| ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Unauthorized Unauthorized
"Origin authentication failed." Not Found Dealer not found
{
"restErrors": [
{
"code": "string",
"title": "string",
"ref": "string",
"details": "string"
}
]
} | Property | Type | Description | Constraints | Default | |||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
restErrors | object[] | ||||||||||||||||||||||||||||
Array items:
| |||||||||||||||||||||||||||||
curl -X POST 'https://dealers.masstack.com/v1/contacts' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
--data-raw '{
"name": "string",
"email": "test@test.es",
"phoneNumber": "987654321",
"purposes": [
{
"id": 0
}
],
"dealers": [
{
"id": 0
}
]
}' This service receives contactId and returns contact detail.
PATH PARAMETERS
OK Successful response. Contact has been found.
[
{
"id": 0,
"name": "string",
"email": "test@test.es",
"phoneNumber": "987654321",
"purposes": [
{
"id": 0,
"name": "string"
}
],
"dealers": [
{
"id": 0,
"code": "string",
"commercialName": "string",
"level": 0,
"levelDescription": "string",
"status": "string",
"parentId": 0,
"parentCode": "string",
"subchannelCode": "string",
"internalManagerFullName": "string",
"externalManagerFullName": "string",
"internalManagerCode": "string",
"externalManagerCode": "string",
"commissioningSection": "string",
"storeType": "string",
"address": "string",
"city": "string",
"province": "string",
"country": "string",
"postalCode": "string",
"startDate": "string",
"endDate": "string",
"userCreated": "string",
"userUpdated": "string",
"creationDate": "string",
"updateDate": "string",
"channelType": "string",
"channelCode": "string",
"channelName": "string",
"sellType": "string",
"subchannelGroup": "string",
"segment": "string",
"ine": "string",
"migratedFromDealerId": 0,
"migratedFromDealerCode": "string",
"migratedToDealerId": 0,
"migratedToDealerCode": "string",
"storeDelivery": true,
"deviceReturn": true
}
]
}
] | Property | Type | Description | Constraints | Default | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
id | integer | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
name | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
email | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
[...]
